Skip to content

getRecord

READ

Read one QuickBooks record by its Id: a Customer, Vendor, Account, Department, Class, Item, Invoice, CreditMemo, Payment, JournalEntry, Deposit or Bill, as Qui….

POST /api/v1/quickbooks/getRecord
curl -X POST '<your-host>/api/v1/quickbooks/getRecord' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "entity": "Customer",
    "id": "string"
  }'
Response
{
  "…": "…"
}

Parameters

ParameterType

The QuickBooks entity, by the name Intuit's API gives it.

"Customer""Vendor""Account""Department""Class""Item""Invoice""CreditMemo""Payment""JournalEntry""Deposit""Bill"

The record's Id in QuickBooks.

min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "entity": {
      "type": "string",
      "enum": [
        "Customer",
        "Vendor",
        "Account",
        "Department",
        "Class",
        "Item",
        "Invoice",
        "CreditMemo",
        "Payment",
        "JournalEntry",
        "Deposit",
        "Bill"
      ],
      "description": "The QuickBooks entity, by the name Intuit's API gives it."
    },
    "id": {
      "type": "string",
      "minLength": 1,
      "description": "The record's Id in QuickBooks."
    }
  },
  "required": [
    "entity",
    "id"
  ]
}